[tool.poetry]
name = "skylab-ansible"
version = "0.0.0"
description = "Network deployment procedures and configuration state"
authors = ["Ethan Paul <me@enp.one>"]
license = "MIT"

[tool.poetry.dependencies]
python = "^3.10"
ansible-core = "^2.12.1"
docker = "^4.2.0"
docker-compose = "^1.25.4"
paramiko = "^2.7.1"
jsondiff = "^1.2.0"
netaddr = "^0.8.0"

[tool.poetry.dev-dependencies]
ansible-lint = "^4.2.0"
ipython = "^7.28.0"
mdformat = "^0.7.9"
mdformat-gfm = "^0.3.3"
poetry = "^1.1.0"
pre-commit = "^2.9.2"
pre-commit-hooks = "^3.3.0"
safety = "^1.9.0"
tox = "^3.20.1"
tox-poetry-installer = {extras = ["poetry"], version = "^0.8.3"}
yamllint = "^1.20.0"
